% DECEPTIVE.  Deceptive data for interpolation.

% (a)

data = [ ...
     -1.00 -1.0000
     -0.96 -0.1512
     -0.65  0.3860
      0.10  0.4802
      0.40  0.8838
      1.00  1.0000];
x = data(:,1);
y = data(:,2);

u = (-1:.01:1)';
plin = piecelin(x,y,u);
poly = polyinterp(x,y,u);
spl = spline(x,y,u);
pch = pchiptx(x,y,u);
plot(x,y,'o',u,[plin poly spl pch])
axis([-1.1 1.1 -1.3 1.3])
legend('data','piecelin','poly','spline','pchip',0)

% (b)

b = -.3
plin = piecelin(x,y,b)
poly = polyinterp(x,y,b)
spl = spline(x,y,b)
pch = pchiptx(x,y,b)
hold on
plot(b,NaN,'*',b,[plin poly spl pch],'*')
hold off
% print -depsc deceptive.eps


% (c)

V = vander(x);
c = V\y
c = round(c)
p = poly2sym(c')
