% GOLUBCOND  Condition of Golub matrices

nmax = 10;
n = 2:nmax;
kappalo = 64.^(n-1);
kappahi = 64.^(n+1);

shg
clf reset
h = semilogy(n,[kappalo; kappahi],'-',nmax,NaN,'.');
set(h(1:2),'color',[0 .5 0]);
kappamax = 16/eps;
axis([2 nmax 2 kappamax])
stop = uicontrol('pos',[20 10 40 25], ...
   'style','toggle','string','stop','value',0);

h = h(3);
set(h,'erasemode','none','color','blue')
while get(stop,'value') ~= 1
   n = ceil(rand*nmax);
   A = golub(n);
   kappa = condest(A,1);
   set(h,'xdata',n,'ydata',kappa)
   drawnow
end
